ThreatPress

WordPress Vulnerabilities Database

Back

WordPress AJAX Post Search Plugin <= 1.2 - SQL Injection

Product
AJAX Search
Description
Because of this vulnerability, the attackers can execute arbitrary SQL commands via the "srch_txt" parameter.
Solution
Update the plugin.
Classification
Type SQL Injection
OWASP Top 10 A1: Injection
References
CVE Mitre
CVE
Name CVE-2012-5853
Versions
Affected In <= 1.2
Fixed In 1.3
Disclosure date
2012-11-08
Credits
Marcela Benetrix